2023-01-30 12:43 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005548Stardust[WHDLoad Installs Games] slavepublic2022-12-26 23:26
Reporterlordelessar 
Assigned ToStingRayProject InfoStardust (Bloodhouse)
http://www.whdload.de/games/Stardust.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0005548: illegal instruction $10 at $c38
DescriptionAfter going through the first six levels, I get to the warp sequence. When I lose my last ship there and im quit game F10 to Amiga OS3.9 gets Exception illegal instruction $ 10 at $ c38.
Only restarting the password in the game menu (clear password) and starting a new game helps. Then you can exit the game without any error.

I am sending the file with the code to be placed in the data folder. It allows you to start the game from the above-mentioned warp sequence level.
Steps To ReproduceAdvance the first 6 levels and try exiting the game to the system in warp sequence.
TagsNo tags attached.
MachineA4000
CPU68040
CPUSpeed14
ChipSetAGA
GFXCardOther
ChipMem2 MB
FastMem0 MB
WorkbenchOS 3.0
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.7
imported
Attached Files
  • ? file icon Password (12 bytes) 2022-03-29 12:22 -
    Ö
    ? file icon Password (12 bytes) 2022-03-29 12:22 +

-Relationships
+Relationships

-Notes

note ~0011048

lordelessar (reporter)

One more thing. Pressing the spacebar or the second button on the controller will open the weapon selection menu. If we turn them on at least once, a graphic error will be displayed at the start of the level (large orange rectangle).
Neither of these problems exist in version 1.4 of the installer.

note ~0012180

StingRay (developer)

The crash is a bug in the game code: the game installs a level 2 interrupt when entering the tunnel sequence, once the tunnel sequence ends, the interrupt vector will not be cleared/reset, but the code it points to will be trashed. Once the quitkey is pressed, the level 2 interrupt is triggered and the illegal instruction error occurs.

note ~0012181

StingRay (developer)

Graphics glitch was caused by incorrectly setting copperlist 1 instead of copperlist 2 when applying Bplcon0 color bit fixes.

Well spotted! Both problems (crash and graphics glitch) have been fixed, updated patch will be available shortly. Thanks for very good bug report!

note ~0012182

StingRay (developer)

Updated patch is now available.

note ~0012184

Retroplay (reporter)

@StingRay Your new installer available at whdload.de still contain old v1.5 slave

note ~0012185

StingRay (developer)

Indeed, I have updated the archive with the correct V1.6 slave now. Thanks for reporting.

note ~0012186

Retroplay (reporter)

"DOS-Error #218 error (device (or volume) is not mounted)" error requester pops up.

DATA=data tool type "fixes" it.

note ~0012187

StingRay (developer)

Well, all all good things come in threes, updated version with corrected data directory path is now available. Thanks again for reporting.

note ~0012188

Retroplay (reporter)

S'all good, man.
+Notes

-Issue History
Date Modified Username Field Change
2022-03-29 12:22 lordelessar New Issue
2022-03-29 12:22 lordelessar File Added: Password
2022-03-30 12:42 lordelessar Note Added: 0011048
2022-03-30 19:23 StingRay Assigned To => StingRay
2022-03-30 19:23 StingRay Status new => assigned
2022-12-26 20:08 StingRay Note Added: 0012180
2022-12-26 20:46 StingRay Note Added: 0012181
2022-12-26 21:06 StingRay Note Added: 0012182
2022-12-26 21:07 StingRay Status assigned => resolved
2022-12-26 21:07 StingRay Resolution open => fixed
2022-12-26 21:31 Retroplay Note Added: 0012184
2022-12-26 21:39 StingRay Note Added: 0012185
2022-12-26 21:53 Retroplay Note Added: 0012186
2022-12-26 22:25 StingRay Note Added: 0012187
2022-12-26 23:26 Retroplay Note Added: 0012188
+Issue History